/************************************************************************
   Apache - style configuration parsing (/etc/httpd/conf/httpd.conf)
   Example: ' ServerType      standalone'
   (c) 1999-2000 by Karsten Hopp <Karsten.Hopp@redhat.de>
 ************************************************************************/ 


#define COMMENT '#'
#define is_blank(x) ((x) == ' ' || (x) == '\t')

/*
 * skip text until next '\n'. Multiple '\n' will be skipped, too.
 * Positions pointer to the first character behind the '\n'.
 */
void next_line(char **);


/* searches the string origfile for a line starting with start_of_line
 * returns a pointer to the beginning of the first matching line
 */
char *search_line(char *, const char *);


/*
 * Searches the first occurence of 'token' inthe string srchtxt
 * and returns the word after this token.
 * Example: In srchtxt is a line containing '   ServerType    standalone'
 *          rhcl_get_one_config(&srchtxt, "ServerType") 
 *          will return a pointer to the word 'standalone'
 */
char *rhcl_get_one_config(char *, char *);


