#ifndef _RHUTIL_H
#define _RHUTIL_H

#include <sys/types.h>
#include <sys/stat.h>

#ifdef RHC_INTERNAL
#ifndef WE_COMPILE_FOR_KDE2
#include <libintl.h>
#define _(s) dgettext("rhclib",(s))
#else
/* XXX #include <i18n() from kde2.h> */
#define _() i18n((s))
#endif
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* XXX dunno if having most things in this file is a good design. */

int mkdir_p (const char *, size_t, mode_t);
int copy(const char *, const char *);

ssize_t Read (int, /*@out@*/ void *, size_t);
int Write (int, const void *, size_t);

/*@null@*/ char *ReadFile (const char *, /*@returned@*/ struct stat *,
	uid_t, gid_t, mode_t);
int WriteFile (const char *, const char *, size_t, struct stat *);

size_t unescape (char *, size_t);
char *escape (const char *, size_t);

char *GetKeyShell (const char *, size_t, const char *);
char *SetKeyShell (char *, size_t, const char *, const char *);

#if 0
void menu_error_abort (const char *, ...)
#ifdef __GNUC__
__attribute__ ((noreturn))
#endif
;

void nomem (void)
#ifdef __GNUC__
__attribute__ ((noreturn))
#endif
;

void check_root (void);
int check_for_write_access (const char *);
#endif

int ParseYesNo (const char *);

#ifdef __cplusplus
}
#endif

#endif
