/***************************************************************************
                           store.h  -  Red Hat Config Library
                             -------------------
    begin                : Nov 29 1999
    copyright            : (C) 1999 by Red Hat Inc.
    email                : Harald.Hoyer@RedHat.de
 ***************************************************************************/
/*
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef RHCL_STORE_H
#define RHCL_STORE_H

#include <sys/types.h>

#if (0)
// FOOL kdoc
/** This is the basic store module
 */
class store {
public:
#endif

  /* TODO
  typedef char *rhcl_loc_t;
  extern int rhcl_store_get_loc_list( rhcl_loc_t *loc_array, int *loc_num );

  extern rhcl_loc_t rhcl_store_open_loc( char *name );
  extern rhcl_loc_t rhcl_store_close_loc( rhcl_loc_t location );

  extern int rhcl_store_read( rhcl_loc_t location, char *name );
  extern int rhcl_store_write( rhcl_loc_t location, char *name );
  extern rhcl_loc_t rhcl_store_close_loc();
  */

#ifdef __cplusplus
extern "C" {
#endif
 /** Read a config file.
   * @param name filename of the config file to load
   * @return an allocated buffer with the config file, please free it after use. On error 0 is returned.
   */
  extern char *rhcl_read( const char *name );

  /** Write a config file.
   * @param name filename of the config file to write to.
   * @param buffer the char buffer that contains the text.
   * @return 0 on success. System error codes otherwise.
   */
  extern int rhcl_write( const char *name, char *buffer );

#ifdef __cplusplus
}
#endif

#if (0)
// FOOL kdoc
};
#endif

#endif
